curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/dashboard' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"carts": {
"abandoned_carts": 1,
"active_carts": 1,
"average_cart_value": "49.00",
"converted_carts": 1,
"total_carts": 1
},
"generated_at": "2026-08-31T14:22:05Z",
"inventory": {
"average_stock_level": 1.5,
"low_stock_items": 1,
"low_stock_threshold": 1,
"out_of_stock_items": 1,
"total_products": 1,
"total_value": "49.00"
},
"sales": {
"average_order_value": "49.00",
"orders_this_month": 1,
"orders_this_week": 1,
"orders_today": 1,
"revenue_this_month": "string",
"revenue_this_week": "string",
"revenue_today": "string",
"total_orders": 1,
"total_revenue": "49.00"
},
"shipments": {
"average_delivery_time_hours": 1.5,
"delivered_today": 1,
"pending_shipments": 1,
"shipped_today": 1,
"total_shipments": 1
}
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Analytics handler for business intelligence endpoints
Dashboard metrics retrieved successfully
GET
/
api
/
v1
/
analytics
/
dashboard
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/dashboard' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"carts": {
"abandoned_carts": 1,
"active_carts": 1,
"average_cart_value": "49.00",
"converted_carts": 1,
"total_carts": 1
},
"generated_at": "2026-08-31T14:22:05Z",
"inventory": {
"average_stock_level": 1.5,
"low_stock_items": 1,
"low_stock_threshold": 1,
"out_of_stock_items": 1,
"total_products": 1,
"total_value": "49.00"
},
"sales": {
"average_order_value": "49.00",
"orders_this_month": 1,
"orders_this_week": 1,
"orders_today": 1,
"revenue_this_month": "string",
"revenue_this_week": "string",
"revenue_today": "string",
"total_orders": 1,
"total_revenue": "49.00"
},
"shipments": {
"average_delivery_time_hours": 1.5,
"delivered_today": 1,
"pending_shipments": 1,
"shipped_today": 1,
"total_shipments": 1
}
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Response
ApiResponse_DashboardMetrics
object
Show data
Show data
CartMetrics
required
string (date-time)
required
InventoryMetrics
required
SalesMetrics
required
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Dashboard metrics retrieved successfully |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/dashboard' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"carts": {
"abandoned_carts": 1,
"active_carts": 1,
"average_cart_value": "49.00",
"converted_carts": 1,
"total_carts": 1
},
"generated_at": "2026-08-31T14:22:05Z",
"inventory": {
"average_stock_level": 1.5,
"low_stock_items": 1,
"low_stock_threshold": 1,
"out_of_stock_items": 1,
"total_products": 1,
"total_value": "49.00"
},
"sales": {
"average_order_value": "49.00",
"orders_this_month": 1,
"orders_this_week": 1,
"orders_today": 1,
"revenue_this_month": "string",
"revenue_this_week": "string",
"revenue_today": "string",
"total_orders": 1,
"total_revenue": "49.00"
},
"shipments": {
"average_delivery_time_hours": 1.5,
"delivered_today": 1,
"pending_shipments": 1,
"shipped_today": 1,
"total_shipments": 1
}
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026